POST api/cleanroomapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

CleanRoomViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_type_id

globally unique identifier

Required

communication_server_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

local_name

string

None.

name

string

Required

type_of_temperature

string

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "cleanroom_type_id": "6343fc01-97bd-4938-ae50-ca0f6c8b3225",
  "communication_server_id": "b068d0e8-6712-465f-8c89-5e76fc4324ec",
  "id": "ef7e40ec-74a0-45f1-ada6-92ba94e9c698",
  "local_id": 1,
  "local_name": "sample string 3",
  "name": "sample string 4",
  "type_of_temperature": "sample string 5"
}

application/xml, text/xml

Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_type_id>6343fc01-97bd-4938-ae50-ca0f6c8b3225</cleanroom_type_id>
  <communication_server_id>b068d0e8-6712-465f-8c89-5e76fc4324ec</communication_server_id>
  <id>ef7e40ec-74a0-45f1-ada6-92ba94e9c698</id>
  <local_id>1</local_id>
  <local_name>sample string 3</local_name>
  <name>sample string 4</name>
  <type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'CleanRoomViewModel'.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"bb922575-c97a-4d8a-acc7-a29df751f1e8"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">bb922575-c97a-4d8a-acc7-a29df751f1e8</guid>